import { Action } from '@ngrx/store';

import {
  LoggerLevel,
  ServerLoggingParameter,
} from '../core';

export enum ActionType {
  ServerLogging = '[@@LOGGER] ServerLogging',
}

export class ServerLogging implements Action {
  readonly type = ActionType.ServerLogging;

  constructor(public payload: ServerLoggingParameter) {}
}

export type Actions =
  | ServerLogging
;
