import { RPCError } from 'packages/core/rpc/error';
import { MetaSensorDisplayItem } from '../../model/MetaSensorDisplayItem';


export interface State {
  error: RPCError | null;
  pending: boolean;
  list: MetaSensorDisplayItem[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  list: null,
};
